Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.util
Class DERDump

    java.lang.Object
      org.bouncycastle.asn1.util.ASN1Dump
          org.bouncycastle.asn1.util.DERDump

Deprecated. use ASN1Dump.

    public class DERDump

extends ASN1Dump

Constructor Summary
`DERDump()` Deprecated.

Method Summary
`static java.lang.String` `dumpAsString(DEREncodable obj)` Deprecated. dump out a DER object as a formatted string
`static java.lang.String` `dumpAsString(DERObject obj)` Deprecated. dump out a DER object as a formatted string

Methods inherited from class org.bouncycastle.asn1.util.ASN1Dump
`dumpAsString, dumpAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERDump

    public DERDump()

  Deprecated.

Method Detail

### dumpAsString

    public static java.lang.String dumpAsString(DERObject obj)

  Deprecated.
  dump out a DER object as a formatted string

  Parameters:
    `obj` - the DERObject to be dumped out.

### dumpAsString

    public static java.lang.String dumpAsString(DEREncodable obj)

  Deprecated.
  dump out a DER object as a formatted string

  Parameters:
    `obj` - the DERObject to be dumped out.

Bouncy Castle Cryptography Library 1.45